'use strict';

var _through = require('through2');

var _through2 = _interopRequireDefault(_through);

var _resolve = require('resolve');

var _resolve2 = _interopRequireDefault(_resolve);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _gulpUtil = require('gulp-util');

var _gulpUtil2 = _interopRequireDefault(_gulpUtil);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = function (options) {
    return _through2.default.obj(function (file, encoding, callback) {
        var stream = this;
        var Launcher = require(_path2.default.join(_path2.default.dirname(_resolve2.default.sync('webdriverio')), 'lib/launcher'));
        var wdio = new Launcher(file.path, options);

        wdio.run().then(function (code) {
            process.stdin.pause();

            if (code !== 0) {
                process.nextTick(function () {
                    return stream.emit('error', new _gulpUtil2.default.PluginError('gulp-webdriver', 'wdio exited with code ' + code, {
                        showStack: false
                    }));
                });
            }

            callback();
            process.nextTick(function () {
                return stream.emit('end');
            });
        }, function (e) {
            process.stdin.pause();
            process.nextTick(function () {
                return stream.emit('error', new _gulpUtil2.default.PluginError('gulp-webdriver', e, { showStack: true }));
            });
        });

        return stream;
    });
};